Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicedef
Interface ValueValorizationConstraint

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SimpleValueConstraint, ValueConstraint

    public interface ValueValorizationConstraint

extends SimpleValueConstraint

A representation of the model object 'Value Valorization Constraint'. [[ TODO - add documentation here ]]

The following features are supported:

- `Must Not Be Null`

See Also:
  `ServicedefPackage.getValueValorizationConstraint()`

Method Summary
`boolean` | `isMustNotBeNull()` Returns the value of the 'Must Not Be Null' attribute
`void` | `setMustNotBeNull(boolean value)` Sets the value of the '`Must Not Be Null`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isMustNotBeNull

    boolean isMustNotBeNull()

  Returns the value of the 'Must Not Be Null' attribute.

  If the meaning of the 'Must Not Be Null' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Must Not Be Null' attribute.
  See Also:
    `setMustNotBeNull(boolean)`, `ServicedefPackage.getValueValorizationConstraint_MustNotBeNull()`

### setMustNotBeNull

    void setMustNotBeNull(boolean value)

  Sets the value of the '`Must Not Be Null`' attribute.

  Parameters:
    `value` - the new value of the 'Must Not Be Null' attribute.
  See Also:
    `isMustNotBeNull()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD